#include <bits/stdc++.h>
using namespace std;
int main()
{

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    int n,k;
    cin>>n>>k;
    string a;
    cin>>a;
    int p=0;
    set<int> skup;
    for (int i=0;i<n;i++){
        skup.insert(a[i]);
        if (skup.size()==k){
            p++;
            skup.clear();
        }
        cout<<p+1<<" ";
    }


    return 0;
}